Subject: bug#47744: closed (Re: bug#47744: [PATCH] nfs-root test is failing)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 23 Dec 2021 10:02:02 +0000

Your bug report

#47744: [PATCH] nfs-root test is failing

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47744: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47744
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47744: [PATCH] nfs-root test is failing
From: Mathieu Othacehe <[email-masked]>
To: Stefan <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Dec 2021 11:01:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Stefan,

> Sorry, that was not quite correct. I sent a patch months back, which did not
> make it into this ticket, which solved this ticket but depends on
> <http://issues.guix.gnu.org/48314>.

I turned the nfs-root-fs test into an nfs-full test that is based on
your patch. It spawns a VM with an NFS server and another VM that mounts
it.

It should now be possible to reintroduce an nfs-root-fs test so that the
client VM uses an NFS as its root directory.

Thanks,

Mathieu

Subject: nfs-root-fs test is failing
From: Mathieu Othacehe <[email-masked]>
To: [email-masked]
Cc: Stefan <[email-masked]>, Danny Milosavljevic <[email-masked]>
Date: Tue, 13 Apr 2021 10:10:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I'm working on fixing all the system tests before the release. The
"nfs-root-fs" test is failing this way:

--8<---------------cut here---------------start------------->8---
mathieu@meije ~/guix [env]$ cat /gnu/store/s1byimibj7ax9b4nqg4qmpvhyf8wlcp8-nfs-root-fs-test/start-nfs-boot-test.log 
%%%% Starting test start-nfs-boot-test
Group begin: start-nfs-boot-test
Test begin:
  test-name: "nfs services are running"
  source-file: "/gnu/store/m2lp9cq1nhhy5bydbzcy4svpb2wgsmx3-nfs-root-fs-test-builder"
  source-line: 1
  source-form: (test-assert "nfs services are running" (wait-for-file "/var/run/rpc.statd.pid" server-marionette))
Test end:
  result-kind: pass
  actual-value: 185
Test begin:
  test-name: "NFS port is ready"
  source-file: "/gnu/store/m2lp9cq1nhhy5bydbzcy4svpb2wgsmx3-nfs-root-fs-test-builder"
  source-line: 1
  source-form: (test-assert "NFS port is ready" (wait-for-tcp-port 2049 server-marionette))
Test end:
  result-kind: pass
  actual-value: #t
Test begin:
  test-name: "NFS statd port is ready"
  source-file: "/gnu/store/m2lp9cq1nhhy5bydbzcy4svpb2wgsmx3-nfs-root-fs-test-builder"
  source-line: 1
  source-form: (test-assert "NFS statd port is ready" (wait-for-tcp-port 20002 server-marionette))
Test end:
  result-kind: fail
  actual-value: #f
  actual-error: (misc-error #f "nobody's listening on port ~S" (20002) #f)
Test begin:
  test-name: "NFS mountd port is ready"
  source-file: "/gnu/store/m2lp9cq1nhhy5bydbzcy4svpb2wgsmx3-nfs-root-fs-test-builder"
  source-line: 1
  source-form: (test-assert "NFS mountd port is ready" (wait-for-tcp-port 20001 server-marionette))
Test end:
  result-kind: fail
  actual-value: #f
  actual-error: (misc-error #f "nobody's listening on port ~S" (20001) #f)
Test begin:
  source-file: "/gnu/store/m2lp9cq1nhhy5bydbzcy4svpb2wgsmx3-nfs-root-fs-test-builder"
  source-line: 1
  source-form: (test-assert "nfs-root-client booted")
Test end:
  result-kind: pass
  actual-value: "nfs-root-client booted"
Test begin:
  test-name: "nfs client deposited file"
  source-file: "/gnu/store/m2lp9cq1nhhy5bydbzcy4svpb2wgsmx3-nfs-root-fs-test-builder"
  source-line: 1
  source-form: (test-assert "nfs client deposited file" (wait-for-file "/export/mounts" server-marionette))
Test end:
  result-kind: fail
  actual-value: #f
  actual-error: (misc-error #f "file didn't show up ~S" ("/export/mounts") #f)
--8<---------------cut here---------------end--------------->8---

Danny, Stefan, do you think you could have a look?

Thanks,

Mathieu